<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::vector_normalizer&lt; matrix_type &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1vector__normalizer.html">vector_normalizer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classdlib_1_1vector__normalizer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::vector_normalizer&lt; matrix_type &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ac22cf3e280918e2c2f16ce33a59b9b03"><td class="memItemLeft" align="right" valign="top"><a id="ac22cf3e280918e2c2f16ce33a59b9b03"></a>
typedef matrix_type::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:ac22cf3e280918e2c2f16ce33a59b9b03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63d17895cb007f182f78cc34ce9fd6bf"><td class="memItemLeft" align="right" valign="top"><a id="a63d17895cb007f182f78cc34ce9fd6bf"></a>
typedef matrix_type::type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a63d17895cb007f182f78cc34ce9fd6bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca0533161ecdd001920baa167b17ba52"><td class="memItemLeft" align="right" valign="top"><a id="aca0533161ecdd001920baa167b17ba52"></a>
typedef matrix_type&#160;</td><td class="memItemRight" valign="bottom"><b>result_type</b></td></tr>
<tr class="separator:aca0533161ecdd001920baa167b17ba52"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acab33af147af3ac511f4d0f537e449e4"><td class="memTemplParams" colspan="2"><a id="acab33af147af3ac511f4d0f537e449e4"></a>
template&lt;typename vector_type &gt; </td></tr>
<tr class="memitem:acab33af147af3ac511f4d0f537e449e4"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>train</b> (const vector_type &amp;samples)</td></tr>
<tr class="separator:acab33af147af3ac511f4d0f537e449e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bab27b076d664cb4599cffed3bf271a"><td class="memItemLeft" align="right" valign="top"><a id="a9bab27b076d664cb4599cffed3bf271a"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>in_vector_size</b> () const</td></tr>
<tr class="separator:a9bab27b076d664cb4599cffed3bf271a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03b652fecd04b42dbb54f72c2b93b1eb"><td class="memItemLeft" align="right" valign="top"><a id="a03b652fecd04b42dbb54f72c2b93b1eb"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>out_vector_size</b> () const</td></tr>
<tr class="separator:a03b652fecd04b42dbb54f72c2b93b1eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fbd1bf2d337951b00df6077d2000118"><td class="memItemLeft" align="right" valign="top"><a id="a5fbd1bf2d337951b00df6077d2000118"></a>
const matrix_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>means</b> () const</td></tr>
<tr class="separator:a5fbd1bf2d337951b00df6077d2000118"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cbd2d8ace79dd5147942e48d328f5fb"><td class="memItemLeft" align="right" valign="top"><a id="a3cbd2d8ace79dd5147942e48d328f5fb"></a>
const matrix_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>std_devs</b> () const</td></tr>
<tr class="separator:a3cbd2d8ace79dd5147942e48d328f5fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbc15b2470486d6a5661d178f9921487"><td class="memItemLeft" align="right" valign="top"><a id="afbc15b2470486d6a5661d178f9921487"></a>
const result_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (const matrix_type &amp;x) const</td></tr>
<tr class="separator:afbc15b2470486d6a5661d178f9921487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35fee3ab0d6cc4ae8b8b43b336b1ad33"><td class="memItemLeft" align="right" valign="top"><a id="a35fee3ab0d6cc4ae8b8b43b336b1ad33"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>swap</b> (<a class="el" href="classdlib_1_1vector__normalizer.html">vector_normalizer</a> &amp;item)</td></tr>
<tr class="separator:a35fee3ab0d6cc4ae8b8b43b336b1ad33"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:afcb636fe4c834e514687f0f15e2b5451"><td class="memItemLeft" align="right" valign="top"><a id="afcb636fe4c834e514687f0f15e2b5451"></a>
matrix_type&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:afcb636fe4c834e514687f0f15e2b5451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958c6ebc43df0dc69c201ee443b8c3e7"><td class="memItemLeft" align="right" valign="top"><a id="a958c6ebc43df0dc69c201ee443b8c3e7"></a>
matrix_type&#160;</td><td class="memItemRight" valign="bottom"><b>sd</b></td></tr>
<tr class="separator:a958c6ebc43df0dc69c201ee443b8c3e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a163e9fdc096824cda105334408cb0e20"><td class="memItemLeft" align="right" valign="top"><a id="a163e9fdc096824cda105334408cb0e20"></a>
matrix_type&#160;</td><td class="memItemRight" valign="bottom"><b>temp_out</b></td></tr>
<tr class="separator:a163e9fdc096824cda105334408cb0e20"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:aeb0e22840e37ccb9c6c5df66461bfc35"><td class="memTemplParams" colspan="2"><a id="aeb0e22840e37ccb9c6c5df66461bfc35"></a>
template&lt;typename mt &gt; </td></tr>
<tr class="memitem:aeb0e22840e37ccb9c6c5df66461bfc35"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>deserialize</b> (<a class="el" href="classdlib_1_1vector__normalizer.html">vector_normalizer</a>&lt; mt &gt; &amp;item, std::istream &amp;in)</td></tr>
<tr class="separator:aeb0e22840e37ccb9c6c5df66461bfc35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9882b43526271043b02741c6f9ec9e3f"><td class="memTemplParams" colspan="2"><a id="a9882b43526271043b02741c6f9ec9e3f"></a>
template&lt;typename mt &gt; </td></tr>
<tr class="memitem:a9882b43526271043b02741c6f9ec9e3f"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>serialize</b> (const <a class="el" href="classdlib_1_1vector__normalizer.html">vector_normalizer</a>&lt; mt &gt; &amp;item, std::ostream &amp;out)</td></tr>
<tr class="separator:a9882b43526271043b02741c6f9ec9e3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="statistics_2statistics_8h_source.html">statistics/statistics.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
